iPhone Please help - getting a 3GS to 6.0

Discussion in 'Jailbreaks and iOS Hacks' started by spiff101, Sep 5, 2013.

  1. spiff101 macrumors member

    Joined:
    Apr 11, 2006
    #1
    Having recently moved to China, it turns out my iPhone 3GS won't work with SIM cards here. I paid some guy to jailbreak it and unlock it so that it would work on the Chinese networks/SIMs, but that downgraded it to about iOS 4 so none of my must-have apps like pleco dictionary, maps etc work.

    I've been trying to 'fix' it ever since. Ideally I would end up with a phone that has iOS 6+ and can take calls here, but failing that I'd be happy just to get back to a phone that can't take calls but has all my old apps.

    I've been using redsn0w_mac_0.9.15b3. I think I upgraded to iOS 6.1.3, but after couldn't activate it. From what I've read I need to downgrade to iOS 6.0, is that correct?

    Situation currently: switch on iPhone, shows 'configuration' screen, asking for language, then region, then wifi network. On the rare occasion I can connect on the terrible network here, I get basically:
    'activating your phone...activation server unavailable.'
    If I try to connect via iTunes instead I get:
    'There is no SIM card installed in the iPhone you are attempting to activate.'

    If I try to install 6.0 via redsn0w 0.9.15b3, by selecting 'Select IPSW' and pointing it towards iPhone2,1_6.0_10A403_Restore, I get
    'That IPSW is not supported by this version of redsn0w' followed by a fingerprint number.

    I've read lots of posts where people have this problem. Some suggest the file is named incorrectly, but don't say what the name should be. Some suggest trying iPhone3,1_6.0_10A403_Restore, but I tried that and the same error message comes up. Some suggest the download site is at fault, but I tried downloading the IPSW from http://osxdaily.com/2012/09/19/ios-6-ipsw-direct-download-links/ (which I think links to Apple's servers, I'm not sure) and the same error occurs.

    What do I do? Should I try something other than redsn0w? An earlier version of redsn0w (from where?)

    Any advice appreciated, getting this phone working again would make things so much easier.
     
  2. dhlizard macrumors G4

    dhlizard

    Joined:
    Mar 16, 2009
    Location:
    The Jailbreak Community
    #2
    To activate it, you need sim from original carrier who sold the phone, that will activate it every time.
    You can hacktivate it with Redsn0w or Sn0wbreeze
    You cannot restore to any firmware except 4.1 or current firmware unless you saved complete SHSH for that firmware (you must have complete 6.0 SHSH to restore to 6.0)
     
  3. spiff101 thread starter macrumors member

    Joined:
    Apr 11, 2006
    #3
    Thanks for replying. I bought the phone 2nd hand from the UK, so I don't know which carrier that would be. If it's a sure-fire method, I suppose maybe I could buy a few SIMS from different carriers, get them posted here, and try them.

    So the problem is that I don't have SHSH? Damn. But I can restore to 'current firmware'? I'm not sure what that is...maybe 10.6.3 since re-jailbreaking it.

    Most importantly, how do I hacktivate it with Redsn0w/Sn0wbreeze? I don't see an explicit option for this in Redsn0w, so not sure how to go about it.

    Cheers
     
  4. spiff101 thread starter macrumors member

    Joined:
    Apr 11, 2006
    #4
    Oh, I see Sn0wbreeze is Windows only so that isn't an option for me unless there's really no alternative.
     
  5. darricksailo macrumors 601

    darricksailo

    Joined:
    Dec 18, 2012
    #5
    With sn0wbreeze, you would make a custom firmware with the hacktivate option checked

    With redsn0w, you would click jailbreak and follow the steps to go into DFU mode and then I believe there's a box you can check to hacktivate

    You may need to go to extras -> select ipsw and choose the iOS 6.0 ipsw for your device in order for it to work (assuming you're on iOS 6.0-6.1.3)

    Use tinyumbrella to see what SHSH blobs cydia has for you. And check if your baseband is 6.15.00 using tinyumbrella

    Can you check if your 3GS is old bootrom or new bootrom. If you have access to a windows machine, you can use idetector from ih8sn0w.com. Otherwise, google for methods to check on a Mac

    More than likely, if you know nothing about SHSH blobs and never messed with jailbreaking, you will probably end up on a tethered jailbreak on the latest version unless your 3GS is old bootrom
     
  6. spiff101 thread starter macrumors member

    Joined:
    Apr 11, 2006
    #6
    Thanks for chipping in.

    That's when I get the message ''That IPSW is not supported by this version of redsn0w' followed by a fingerprint number.

    I downloaded TinyUmbrella-6.12.00.app but when I try open it it gives the message 'unable to validate libraries...loading anyway' then 'reticulating splines' then it seems to load and immediately crashes, every time. Any ideas?

    It looks like a have new bootroom because my iBoot 1537.9.55.
     
  7. dhlizard macrumors G4

    dhlizard

    Joined:
    Mar 16, 2009
    Location:
    The Jailbreak Community
    #7
    In order to use Redsn0w, you must first point it to the 6.0 IPSW.

    But none of this will work without having saved the complete SHSH for the firmware you are trying to restore to.
     
  8. spiff101 thread starter macrumors member

    Joined:
    Apr 11, 2006
    #8
    Yes, but I get the message ''That IPSW is not supported by this version of redsn0w' followed by a fingerprint number.

    I can't even find out what SHSH I have because TinyUmbrella crashes instantly...I've tried two different versions from two different download links, same happens each time. Very frustrating. Is there another tool that will tell me about SHSH?

    Still don't know what to do about the 'IPSW not supported' issue. There seem to be a lot of people out there asking the same question, with no answer.
     
  9. dhlizard macrumors G4

    dhlizard

    Joined:
    Mar 16, 2009
    Location:
    The Jailbreak Community
    #9
    You are confusing IPSW and SHSH.

    They are entirely different things.

    SHSH are unique to each device.
    IPSW is a firmware package used to install a firmware version onto any one of millions of similar model iPhones.

    Time for a Google search and some reading.
     
  10. spiff101 thread starter macrumors member

    Joined:
    Apr 11, 2006
    #10
    I'm not sure that I am confusing them. You told me that "In order to use Redsn0w, you must first point it to the 6.0 IPSW." But, as I've said, that results in an error message from Redsn0w - 'That IPSW is not supported by this version of redsn0w' followed by a fingerprint number.

    I can't get info on the SHSH (yes, unique to each device) because TinyUmbrella crashes.

    Grateful for any suggestions on a way forward. I'm reading a lot of forum posts with lots of people encountering this same Redsn0w/6.0 IPSW problem, and no answers.

    cheers.
     
  11. TriJetHero macrumors 601

    TriJetHero

    Joined:
    Oct 13, 2010
    Location:
    World
  12. spiff101 thread starter macrumors member

    Joined:
    Apr 11, 2006
    #12
    I'll try it. Might take me a few days on this connection. Thanks.

    ----------

    Oh wait, I've already downloaded it. That's the link I used - and the error message persists. I'll try re-downloading redsn0w.

    Can this be overcome by rolling back further to iOS 5+ ?
     
  13. BumpyFlatline macrumors 68030

    BumpyFlatline

    Joined:
    Apr 11, 2012
    #13
    I would try a different computer. It should work.

    Also, to check for blobs Im pretty sure you can use iFaith.
     
  14. darricksailo macrumors 601

    darricksailo

    Joined:
    Dec 18, 2012
    #14
    That's very strange. Try redownloading redsn0w or use a different computer. I believe tinyumbrella relies on java to work

    ifaith (windows only) will also work in checking what SHSH blobs cydia has for your device

    Whether or not you can go to iOS 5 depends on the SHSH blobs you have. The latest version at the moment, 6.1.3, will be a tethered jailbreak as you have the new bootrom 3GS
     
  15. spiff101 thread starter macrumors member

    Joined:
    Apr 11, 2006
    #15
    Looks like I really have to find someone here willing to lend me their computer. I'll see if I can find someone and if so, give it a shot and report back. Right now my connection won't even download the windows version of redsn0w so I guess it'll have to wait until I manage that.

    Thanks for all the suggestions.
     

Share This Page